- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
qi::ProxyProperty< T, PropertyType > Class Template Reference

`#include <proxyproperty.hpp>`

## Public Types
using | SignalType = SignalF< void(const T &)>
using | ThisProxyType = ProxyProperty

## Public Member Functions
| ProxyProperty ()
| ProxyProperty (AnyObject object, const std::string &propertyName)
void | setup (AnyObject object, const std::string &propertyName)
| ~ProxyProperty ()
Future< void > | onSubscribe (bool enable, GenericObject *object, const std::string &propertyName, SignalLink link)
AnyReference | bounceEvent (const AnyReferenceVector args)
void | triggerOverride (const GenericFunctionParameters &params, MetaCallType, GenericObject *object, const std::string &propertyName)

## Detailed Description

### template<typename T, template< class...> class PropertyType = Property>
class qi::ProxyProperty< T, PropertyType >

Property proxy using AnyObject as backend

Warning
  reading and writing the property are synchronous operations and might take time if backend object is a remote proxy.

Definition at line 22 of file proxyproperty.hpp.

## Member Typedef Documentation

template<typename T, template< class...> class PropertyType = Property>

using qi::ProxyProperty< T, PropertyType >::SignalType = SignalF<void (const T&)>

Definition at line 25 of file proxyproperty.hpp.

template<typename T, template< class...> class PropertyType = Property>

using qi::ProxyProperty< T, PropertyType >::ThisProxyType = ProxyProperty

Definition at line 26 of file proxyproperty.hpp.

## Constructor & Destructor Documentation

template<typename T, template< class...> class PropertyType = Property>

qi::ProxyProperty< T, PropertyType >::ProxyProperty | ( |  | ) |
| inline

Definition at line 27 of file proxyproperty.hpp.

template<typename T, template< class...> class PropertyType = Property>

qi::ProxyProperty< T, PropertyType >::ProxyProperty | ( | AnyObject | object,
|  | const std::string & | propertyName
| ) |  |
| inline

Definition at line 33 of file proxyproperty.hpp.

template<typename T , template< class...> class PropertyType>

qi::ProxyProperty< T, PropertyType >::~ProxyProperty | ( |  | ) |

Definition at line 60 of file proxyproperty.hpp.

## Member Function Documentation

template<typename T , template< class...> class PropertyType>

AnyReference qi::ProxyProperty< T, PropertyType >::bounceEvent | ( | const AnyReferenceVector | args | ) |

Definition at line 103 of file proxyproperty.hpp.

template<typename T , template< class...> class PropertyType>

Future< void > qi::ProxyProperty< T, PropertyType >::onSubscribe | ( | bool | enable,
|  | GenericObject * | object,
|  | const std::string & | propertyName,
|  | SignalLink | link
| ) |  |

Definition at line 80 of file proxyproperty.hpp.

template<typename T , template< class...> class PropertyType>

void qi::ProxyProperty< T, PropertyType >::setup | ( | AnyObject | object,
|  | const std::string & | propertyName
| ) |  |

Definition at line 66 of file proxyproperty.hpp.

template<typename T , template< class...> class PropertyType>

void qi::ProxyProperty< T, PropertyType >::triggerOverride | ( | const GenericFunctionParameters & | params,
|  | MetaCallType | ,
|  | GenericObject * | object,
|  | const std::string & | propertyName
| ) |  |

Definition at line 111 of file proxyproperty.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/proxyproperty.hpp